EXEC p_AlterColumn 'T_AI_VCHTEMPLATE', 'FNAME', 'NVARCHAR(150)', 'NOT NULL', '0100', ''' ''';
EXEC p_AlterColumn 'T_AI_VCHTEMPLATE_L', 'FNAME', 'NVARCHAR(150)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AI_VCHTEMPLATE_BAKID')
 CREATE TABLE T_AI_VCHTEMPLATE_BAKID (
FID BIGINT DEFAULT 0 NOT NULL,
FNEWID BIGINT DEFAULT 0 NOT NULL
);
EXEC p_AlterPK 'PK_AI_VCHTEMPLATE_BAKID', 'T_AI_VCHTEMPLATE_BAKID', 'FID', '1';

EXEC p_DropIdx 'IDX_PK_VCHTEMPLATE_BAKID', 'T_AI_VCHTEMPLATE_BAKID';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_AI_VCHTEMPLATE_BAKID' AND KSQL_INDNAME = 'IDX_VCHTEMPLATE_NEWID')
 CREATE INDEX IDX_VCHTEMPLATE_NEWID ON T_AI_VCHTEMPLATE_BAKID (FNEWID );
 